%global srcname titlecase

Name:           python-%{srcname}
Version:        2.4.1
Release:        %autorelease
Summary:        Python Port of John Gruber's titlecase.pl

License:        MIT
URL:            https://github.com/ppannuto/python-titlecase
Source:         %{pypi_source}

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  sed

%global _description %{expand:
This package provides a Python library to capitalize strings as specified by
the New York Times Manual of Style.}

%description %_description

%package -n     python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %_description

%prep
%autosetup -p1 -n %{srcname}-%{version}

# Remove unnecessary shebangs
sed -i '/#!\/usr\/bin\/env python/d' %{srcname}/*.py

%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%check
%tox

%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE.txt
%doc README.rst AUTHORS.rst
%{_bindir}/%{srcname}

%changelog
%autochangelog
